{
  "name": "mlflow-service",
  "endpoints": [
    {
      "modelRef": "00D6b8kG",
      "useJava": false,
      "computePropensity": false,
      "outputExplanations": false,
      "individualExplanationParams": {
        "method": "ICE",
        "nbExplanations": 3,
        "drawInScoredSet": false,
        "subChunkSize": 5000,
        "shapleyBackgroundSize": 100
      },
      "mlFlowOutputStyle": "PARSED",
      "testQueries": [
        {
          "name": "eval_data #1",
          "q": {
            "features": {
              "age": "47",
              "job": "blue-collar",
              "marital": "married",
              "education": "unknown",
              "default": "no",
              "balance": "1506",
              "housing": "yes",
              "loan": "no",
              "day": "5",
              "month": "may",
              "duration": "92",
              "campaign": "1",
              "y": "no"
            }
          }
        }
      ],
      "enrichMapping": [],
      "healthCheckQueries": [],
      "returnPostEnrichData": false,
      "auditPostEnrichData": false,
      "id": "imported-model",
      "type": "STD_PREDICTION",
      "tags": [],
      "openAPI": {
        "title": "imported-model",
        "content": "{\n  \"paths\" : {\n    \"/imported-model/predict\" : {\n      \"post\" : {\n        \"summary\" : \"imported-model endpoint\",\n        \"description\" : \"Prediction type: STD_PREDICTION\",\n        \"parameters\" : [ {\n          \"in\" : \"body\",\n          \"name\" : \"serviceInputPayload\",\n          \"description\" : \"The input payload for executing the real-time machine learning service.\",\n          \"required\" : true,\n          \"schema\" : {\n            \"$ref\" : \"#/definitions/imported-model_EndpointInput\"\n          }\n        } ],\n        \"responses\" : {\n          \"200\" : {\n            \"description\" : \"The service processed the input correctly and provided a result prediction, if applicable.\",\n            \"schema\" : {\n              \"$ref\" : \"#/definitions/imported-model_EndpointOutput\"\n            }\n          },\n          \"default\" : {\n            \"description\" : \"The service failed to execute due to an error.\",\n            \"schema\" : {\n              \"$ref\" : \"#/definitions/imported-model_ErrorResponse\"\n            }\n          }\n        }\n      }\n    }\n  },\n  \"definitions\" : {\n    \"imported-model_EndpointInput\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"features\" : {\n          \"type\" : \"object\",\n          \"properties\" : {\n            \"duration\" : {\n              \"type\" : \"string\"\n            },\n            \"marital\" : {\n              \"type\" : \"string\"\n            },\n            \"default\" : {\n              \"type\" : \"string\"\n            },\n            \"loan\" : {\n              \"type\" : \"string\"\n            },\n            \"education\" : {\n              \"type\" : \"string\"\n            },\n            \"balance\" : {\n              \"type\" : \"string\"\n            },\n            \"month\" : {\n              \"type\" : \"string\"\n            },\n            \"housing\" : {\n              \"type\" : \"string\"\n            },\n            \"campaign\" : {\n              \"type\" : \"string\"\n            },\n            \"job\" : {\n              \"type\" : \"string\"\n            },\n            \"day\" : {\n              \"type\" : \"string\"\n            },\n            \"age\" : {\n              \"type\" : \"string\"\n            }\n          }\n        }\n      }\n    },\n    \"imported-model_EndpointOutput\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"result\" : {\n          \"type\" : \"object\",\n          \"properties\" : {\n            \"prediction\" : {\n              \"type\" : \"string\"\n            }\n          }\n        }\n      }\n    },\n    \"imported-model_ErrorResponse\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"status_code\" : {\n          \"type\" : \"integer\",\n          \"format\" : \"int32\"\n        },\n        \"message\" : {\n          \"type\" : \"string\"\n        }\n      }\n    }\n  }\n}",
        "enabled": false,
        "isManual": false
      }
    },
    {
      "modelRef": "wO2sOCX4",
      "useJava": false,
      "computePropensity": false,
      "outputExplanations": false,
      "individualExplanationParams": {
        "method": "ICE",
        "nbExplanations": 3,
        "drawInScoredSet": false,
        "subChunkSize": 5000,
        "shapleyBackgroundSize": 100
      },
      "mlFlowOutputStyle": "PARSED",
      "testQueries": [
        {
          "name": "uci_bank_evaluate #1",
          "q": {
            "features": {
              "age": "47",
              "job": "blue-collar",
              "marital": "married",
              "education": "unknown",
              "default": "no",
              "balance": "1506",
              "housing": "yes",
              "loan": "no",
              "contact": "unknown",
              "day": "5",
              "month": "may",
              "duration": "92",
              "campaign": "1",
              "pdays": "-1",
              "previous": "0",
              "poutcome": "unknown",
              "y": "no"
            }
          }
        }
      ],
      "enrichMapping": [],
      "healthCheckQueries": [],
      "returnPostEnrichData": false,
      "auditPostEnrichData": false,
      "id": "tabular-model",
      "type": "STD_PREDICTION",
      "tags": [],
      "openAPI": {
        "title": "tabular-model",
        "content": "{\n  \"paths\" : {\n    \"/tabular-model/predict\" : {\n      \"post\" : {\n        \"summary\" : \"tabular-model endpoint\",\n        \"description\" : \"Prediction type: STD_PREDICTION\",\n        \"parameters\" : [ {\n          \"in\" : \"body\",\n          \"name\" : \"serviceInputPayload\",\n          \"description\" : \"The input payload for executing the real-time machine learning service.\",\n          \"required\" : true,\n          \"schema\" : {\n            \"$ref\" : \"#/definitions/tabular-model_EndpointInput\"\n          }\n        } ],\n        \"responses\" : {\n          \"200\" : {\n            \"description\" : \"The service processed the input correctly and provided a result prediction, if applicable.\",\n            \"schema\" : {\n              \"$ref\" : \"#/definitions/tabular-model_EndpointOutput\"\n            }\n          },\n          \"default\" : {\n            \"description\" : \"The service failed to execute due to an error.\",\n            \"schema\" : {\n              \"$ref\" : \"#/definitions/tabular-model_ErrorResponse\"\n            }\n          }\n        }\n      }\n    }\n  },\n  \"definitions\" : {\n    \"tabular-model_EndpointInput\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"features\" : {\n          \"type\" : \"object\",\n          \"properties\" : {\n            \"loan\" : {\n              \"type\" : \"string\"\n            },\n            \"education\" : {\n              \"type\" : \"string\"\n            },\n            \"previous\" : {\n              \"type\" : \"string\"\n            },\n            \"housing\" : {\n              \"type\" : \"string\"\n            },\n            \"poutcome\" : {\n              \"type\" : \"string\"\n            },\n            \"duration\" : {\n              \"type\" : \"string\"\n            },\n            \"marital\" : {\n              \"type\" : \"string\"\n            },\n            \"default\" : {\n              \"type\" : \"string\"\n            },\n            \"balance\" : {\n              \"type\" : \"string\"\n            },\n            \"month\" : {\n              \"type\" : \"string\"\n            },\n            \"contact\" : {\n              \"type\" : \"string\"\n            },\n            \"campaign\" : {\n              \"type\" : \"string\"\n            },\n            \"job\" : {\n              \"type\" : \"string\"\n            },\n            \"day\" : {\n              \"type\" : \"string\"\n            },\n            \"age\" : {\n              \"type\" : \"string\"\n            },\n            \"pdays\" : {\n              \"type\" : \"string\"\n            }\n          }\n        }\n      }\n    },\n    \"tabular-model_EndpointOutput\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"result\" : {\n          \"type\" : \"object\",\n          \"properties\" : {\n            \"prediction\" : {\n              \"type\" : \"string\"\n            }\n          }\n        }\n      }\n    },\n    \"tabular-model_ErrorResponse\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"status_code\" : {\n          \"type\" : \"integer\",\n          \"format\" : \"int32\"\n        },\n        \"message\" : {\n          \"type\" : \"string\"\n        }\n      }\n    }\n  }\n}",
        "enabled": false,
        "isManual": false
      }
    },
    {
      "modelRef": "pI14W9D9",
      "useJava": false,
      "computePropensity": false,
      "outputExplanations": false,
      "individualExplanationParams": {
        "method": "ICE",
        "nbExplanations": 3,
        "drawInScoredSet": false,
        "subChunkSize": 5000,
        "shapleyBackgroundSize": 100
      },
      "mlFlowOutputStyle": "RAW",
      "testQueries": [
        {
          "name": "validation_ts #1",
          "q": {
            "features": {
              "datetime": "2024-12-01T00:00:00.000Z",
              "feature1": 0.4901198297201558,
              "feature2": 0.5066553624690399,
              "feature3": -0.5227230205190395,
              "output1": 1.6541762425211313,
              "output2": 0.3664428087938913
            }
          }
        }
      ],
      "enrichMapping": [],
      "healthCheckQueries": [],
      "returnPostEnrichData": false,
      "auditPostEnrichData": false,
      "id": "multi-output-model",
      "type": "STD_PREDICTION",
      "tags": [],
      "openAPI": {
        "title": "multi-output-model",
        "content": "{\n  \"paths\" : {\n    \"/multi-output-model/predict\" : {\n      \"post\" : {\n        \"summary\" : \"multi-output-model endpoint\",\n        \"description\" : \"Prediction type: STD_PREDICTION\",\n        \"parameters\" : [ {\n          \"in\" : \"body\",\n          \"name\" : \"serviceInputPayload\",\n          \"description\" : \"The input payload for executing the real-time machine learning service.\",\n          \"required\" : true,\n          \"schema\" : {\n            \"$ref\" : \"#/definitions/multi-output-model_EndpointInput\"\n          }\n        } ],\n        \"responses\" : {\n          \"200\" : {\n            \"description\" : \"The service processed the input correctly and provided a result prediction, if applicable.\",\n            \"schema\" : {\n              \"$ref\" : \"#/definitions/multi-output-model_EndpointOutput\"\n            }\n          },\n          \"default\" : {\n            \"description\" : \"The service failed to execute due to an error.\",\n            \"schema\" : {\n              \"$ref\" : \"#/definitions/multi-output-model_ErrorResponse\"\n            }\n          }\n        }\n      }\n    }\n  },\n  \"definitions\" : {\n    \"multi-output-model_EndpointInput\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"features\" : {\n          \"type\" : \"object\",\n          \"properties\" : {\n            \"stringPropExample\" : {\n              \"type\" : \"string\"\n            },\n            \"intPropExample\" : {\n              \"type\" : \"integer\",\n              \"format\" : \"int32\"\n            },\n            \"doublePropExample\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            },\n            \"boolPropExample\" : {\n              \"type\" : \"boolean\"\n            },\n            \"floatPropExample\" : {\n              \"type\" : \"number\",\n              \"format\" : \"float\"\n            }\n          }\n        }\n      }\n    },\n    \"multi-output-model_EndpointOutput\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"result\" : {\n          \"type\" : \"object\",\n          \"properties\" : {\n            \"OutputPropExample\" : {\n              \"type\" : \"string\"\n            }\n          }\n        }\n      }\n    },\n    \"multi-output-model_ErrorResponse\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"status_code\" : {\n          \"type\" : \"integer\",\n          \"format\" : \"int32\"\n        },\n        \"message\" : {\n          \"type\" : \"string\"\n        }\n      }\n    }\n  }\n}",
        "enabled": false,
        "isManual": false
      }
    },
    {
      "modelRef": "ajPPDEF1",
      "useJava": false,
      "computePropensity": false,
      "outputExplanations": false,
      "individualExplanationParams": {
        "method": "ICE",
        "nbExplanations": 3,
        "drawInScoredSet": false,
        "subChunkSize": 5000,
        "shapleyBackgroundSize": 100
      },
      "mlFlowOutputStyle": "PARSED",
      "testQueries": [
        {
          "name": "test #1",
          "q": {
            "features": {
              "feature_1": -2.403858292187835,
              "feature_2": -0.6215520958731648,
              "feature_3": 0.2932286023114263,
              "feature_4": 0.1908983483085699,
              "feature_5": -0.2723286175812597,
              "feature_6": -1.79093611699141,
              "feature_7": -0.5241916126231768,
              "feature_8": -0.20318558803679215,
              "feature_9": -0.6180156105946569,
              "feature_10": -1.1590926141678708,
              "target": -271.32509031940356
            }
          }
        }
      ],
      "enrichMapping": [],
      "healthCheckQueries": [],
      "returnPostEnrichData": false,
      "auditPostEnrichData": false,
      "id": "pytorch-model",
      "type": "STD_PREDICTION",
      "tags": [],
      "openAPI": {
        "title": "pytorch-model",
        "content": "{\n  \"paths\" : {\n    \"/pytorch-model/predict\" : {\n      \"post\" : {\n        \"summary\" : \"pytorch-model endpoint\",\n        \"description\" : \"Prediction type: STD_PREDICTION\",\n        \"parameters\" : [ {\n          \"in\" : \"body\",\n          \"name\" : \"serviceInputPayload\",\n          \"description\" : \"The input payload for executing the real-time machine learning service.\",\n          \"required\" : true,\n          \"schema\" : {\n            \"$ref\" : \"#/definitions/pytorch-model_EndpointInput\"\n          }\n        } ],\n        \"responses\" : {\n          \"200\" : {\n            \"description\" : \"The service processed the input correctly and provided a result prediction, if applicable.\",\n            \"schema\" : {\n              \"$ref\" : \"#/definitions/pytorch-model_EndpointOutput\"\n            }\n          },\n          \"default\" : {\n            \"description\" : \"The service failed to execute due to an error.\",\n            \"schema\" : {\n              \"$ref\" : \"#/definitions/pytorch-model_ErrorResponse\"\n            }\n          }\n        }\n      }\n    }\n  },\n  \"definitions\" : {\n    \"pytorch-model_EndpointInput\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"features\" : {\n          \"type\" : \"object\",\n          \"properties\" : {\n            \"feature_8\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            },\n            \"feature_7\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            },\n            \"feature_6\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            },\n            \"feature_5\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            },\n            \"feature_4\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            },\n            \"feature_3\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            },\n            \"feature_2\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            },\n            \"feature_1\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            },\n            \"feature_10\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            },\n            \"feature_9\" : {\n              \"type\" : \"number\",\n              \"format\" : \"double\"\n            }\n          }\n        }\n      }\n    },\n    \"pytorch-model_EndpointOutput\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"result\" : {\n          \"type\" : \"object\",\n          \"properties\" : {\n            \"prediction\" : {\n              \"type\" : \"string\"\n            }\n          }\n        }\n      }\n    },\n    \"pytorch-model_ErrorResponse\" : {\n      \"type\" : \"object\",\n      \"properties\" : {\n        \"status_code\" : {\n          \"type\" : \"integer\",\n          \"format\" : \"int32\"\n        },\n        \"message\" : {\n          \"type\" : \"string\"\n        }\n      }\n    }\n  }\n}",
        "enabled": false,
        "isManual": false
      }
    }
  ],
  "authMethod": "PUBLIC",
  "authRealm": {
    "queryKeys": []
  },
  "oauth2Config": {
    "keysFormat": "JWKS_URI",
    "jwkUriConnectTimeout": 500,
    "jwkUriReadTimeout": 500,
    "jwkUriSizeLimit": 51200,
    "disableSSLCertificatesCheck": false,
    "scopeClaimFormat": "STRING",
    "scopeClaimKey": "scope"
  },
  "deploymentMonitoring": [],
  "typeBadges": {
    "ML": [
      "imported-model",
      "tabular-model",
      "multi-output-model",
      "pytorch-model"
    ]
  },
  "creationTag": {
    "versionNumber": 0,
    "lastModifiedBy": {
      "login": "francois.phe"
    },
    "lastModifiedOn": 1716817795583,
    "extendedProperties": {}
  },
  "tags": [],
  "customFields": {},
  "checklists": {
    "checklists": []
  }
}